XML Schema API: Interface ByteList

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs.datatypes
Interface ByteList

All Superinterfaces:
  java.util.Collection, java.util.List

public interface ByteList
extends java.util.List

The `ByteList` is an immutable ordered collection of `byte`.

Version:
  $Id: ByteList.java 1024038 2010-10-18 22:06:35Z sandygao $
Author:
  Ankit Pasricha, IBM

Method Summary
`boolean` | `contains(byte item)` Checks if the `byte` `item` is a member of this list.
`int` | `getLength()` The number of `byte`s in the list.
`byte` | `item(int index)` Returns the `index`th item in the collection.
`byte[]` | `toByteArray()` Construct and return a byte array for bytes contained in this list.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### getLength

    public int getLength()

  The number of `byte`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    public boolean contains(byte item)

  Checks if the `byte` `item` is a member of this list.
  Parameters:
    `item` - `byte` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `byte` `item`.

### item

    public byte item(int index)
              throws XSException

  Returns the `index`th item in the collection. The index starts at 0.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `byte` at the `index`th position in the `ByteList`.
  Throws:
    `XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list or less than zero.

### toByteArray

    public byte[] toByteArray()

  Construct and return a byte array for bytes contained in this list.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.